Recent blocks

Returns recently processed blocks across all accounts, newest first. The node caches the newest 1000 blocks for up to a second and serves the requested window from that cache, so `limit` cannot reach further back than 1000 blocks.

GET
/blocks/recent

Query Parameters

limit?integer

Maximum blocks to return. Values above 1000 are clamped to 1000; a missing, zero, negative or unparseable value falls back to 100.

Default100
Range1 <= value <= 1000
since?integer

Drop blocks at or older than this Unix nanosecond timestamp before applying limit.

Formatint64

Response Body

application/json

application/json

curl -X GET "https://ldn.core.test.network/blocks/recent"
[
  {
    "type": "send",
    "account": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
    "previous": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
    "balance": 1000000,
    "asset": "XE",
    "representative": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
    "timestamp": 1709500000000000000,
    "signature": "string",
    "hash": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
    "pow_nonce": 12345,
    "destination": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
    "amount": 1000000,
    "source": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
    "vcpus": 4,
    "memory_mb": 8192,
    "disk_gb": 100,
    "duration": 86400,
    "access_pub_key": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
    "memo": "invoice 4271",
    "certificate_hash": "f2a3b4c5d6e7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3",
    "locked_r": 2000,
    "locked_payout_cap": 0,
    "locked_twap_milli": 0,
    "attestations": [
      {
        "public_key": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
        "timestamp": 0,
        "signature": "string"
      }
    ],
    "keyset": {
      "keys": [
        "a1b2c3d4...",
        "e5f6a7b8...",
        "c9d0e1f2..."
      ],
      "threshold": 2
    },
    "signatures": [
      {
        "public_key": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
        "signature": "string"
      }
    ]
  }
]
{
  "error": "invalid signature"
}